## sml-mode 4.0

=== Makefile ===
# Makefile for emacs-lisp package

# Copyright (C) 1998, 1999, 2004  Stefan Monnier <monnier@gnu.org>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# load the package-specific settings
include makefile.pkg

# set up the usual installation paths
prefix  = /usr/local
datadir = $(prefix)/share

# the directory where you install third-party emacs packges
lispdir = $(datadir)/emacs/site-lisp

# the directory where the .elc files will be installed
elcdir  = $(lispdir)/$(PACKAGE)
# the directory where the .el files will be installed
eldir   = $(elcdir)

# the file where the initialization goes.
#startupfile = $(HOME/.emacs
startupfile = $(lispdir)/site-start.el

# the directory where you installed the elib .elc files.
# This is only needed if your site-start.el (or default.el) does not
# set up elib correctly.
elibdir = $(lispdir)/elib

# the directory where you install the info doc
infodir = $(prefix)/info
docdir = $(prefix)/doc

EMACS	= emacs
MAKEINFO= makeinfo
TEXI2DVI= texi2dvi
SHELL	= /bin/sh
DVIPS	= dvips
CP	= cp
RM	= rm -f
MKDIR	= mkdir -p
ETAGS	= etags

######################################################################
###        No changes below this line should be necessary          ###
######################################################################

ELFLAGS	= --eval '(setq load-path (append (list "." "$(elibdir)" "$(lispdir)") load-path))'
ELC	= $(EMACS) -batch $(ELFLAGS) -f batch-byte-compile

ELCFILES = $(ELFILES:.el=.elc)

TEXEXTS =  *.cps *.fns *.kys *.vr *.tp *.pg *.log *.aux *.toc *.cp *.ky *.fn

.SUFFIXES: .elc .el .info .ps .dvi .texi
.PHONY: elcfiles info clean distclean default
.PHONY: install_startup install_elc install install_el install_info
.PHONY: dvi postscript

.el.elc:
	$(ELC) $<

.texi.info:
	$(MAKEINFO) $<

.texi.dvi:
	$(TEXI2DVI) $<

.dvi.ps:
	$(DVIPS) -f $< >$@

######################################################################

default: elcfiles

elcfiles: $(ELCFILES)
info: $(PACKAGE).info

install_elc: $(ELCFILES) $(PACKAGE)-startup.el
	$(MKDIR) $(elcdir)
	for f in $(ELCFILES) $(PACKAGE)-startup.el; do \
	    $(CP) $$f $(elcdir)/$$f ;\
	done

install_el:
	$(MKDIR) $(eldir)
	for f in $(ELFILES); do \
	    $(CP) $$f $(eldir)/$$f ;\
	done

install_info: $(PACKAGE).info
	$(MKDIR) $(infodir)
	$(CP) *.info* $(infodir)/
	-[ ! -w $(infodir)/dir ] \
	    || install-info --info-dir=$(infodir)/dir $(PACKAGE).info

install_startup:
	$(MKDIR) $(lispdir)
	@if grep $(PACKAGE) $(lispdir)/site-start.el >/dev/null 2>&1 || \
	   grep $(PACKAGE) $(startupfile) >/dev/null 2>&1 || \
	   grep $(PACKAGE) $(lispdir)/default.el >/dev/null 2>&1; then \
	    echo "**********************************************************" ;\
	    echo "*** It seems you already have some setup code" ;\
	    echo "*** for $(PACKAGE) in your startup files." ;\
	    echo "*** Check that it properly loads \"$(PACKAGE)-startup\"" ;\
	    echo "**********************************************************" ;\
	else \
	    echo 'echo ";; load $(PACKAGE) setup code" >>$(startupfile)' ;\
	    echo ";; load $(PACKAGE) setup code" >>$(startupfile) ;\
	    echo 'echo "(load \"$(elcdir)/$(PACKAGE)-startup\")" >>$(startupfile)' ;\
	    echo "(load \"$(elcdir)/$(PACKAGE)-startup\")" >>$(startupfile) ;\
	fi

postscript: $(PACKAGE).ps
dvi: $(PACKAGE).dvi
install_dvi: dvi
	$(MKDIR) $(docdir)
	$(CP) `find . -type f -name '*.dvi' -print` $(docdir)/

install: install_elc install_info install_startup install_el

clean:
	$(RM) *~ core .\#* $(TEXEXTS)

TAGS tags:
	$(ETAGS) $(ELFILES)

distclean: clean
	$(RM) *.elc *.dvi *.info* *.ps

######################################################################
###                    don't look below                            ###
######################################################################

$(PACKAGE)-startup.el: $(ELFILES)
	[ -f $@ ] || echo '' >$@
	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."

##

TAG = $(shell echo v$(VERSION) | tr '.' '_')
ftpdir=/u/monnier/html/elisp/
cvsmodule=$(shell cat CVS/Repository)
cvsroot=$(shell cat CVS/Root)

dist:
	cvs tag -F $(TAG) &&\
	cd $(TMP) &&\
	cvs -d $(cvsroot) export -r $(TAG) -d $(PACKAGE)-$(VERSION) $(cvsmodule) &&\
	cd $(PACKAGE)-$(VERSION) &&\
	gmake info $(PACKAGE)-startup.el &&\
	cd .. &&\
	ztar $(PACKAGE)-$(VERSION) &&\
	rm -rf $(PACKAGE)-$(VERSION)
	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz

=== debian/changelog ===
sml-mode (4.0-8) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance.
  * Move to debhelper 7.
  * Migrate to Standards-Version 3.8.4: Added Homepage field.
  * Updated emacs install scripts to not include site and init files while
    compiling.
  * Per new emacs policy, only depend on emacsen-common.
  * Fixed a FTBFS by updating emacs build dependency.
    (Closes: #595858)

 -- Jens Peter Secher <jps@debian.org>  Sat, 01 May 2010 23:53:37 +0200

sml-mode (4.0-7) unstable; urgency=low

  * Simplify install, removal, and load-path by using symlinks instead of
    copying source files, thanks Michael Olson.

 -- Jens Peter Secher <jps@debian.org>  Sat, 14 Jul 2007 09:01:35 +0200

sml-mode (4.0-6) unstable; urgency=low

  * Fixed wrong Poly/ML error pattern, thanks to Ian Zimmerman.
    (Closes: bug#386364)
  * Fixed missing names in copyright file.
  * Bump Standards-Version to 3.7.2.

 -- Jens Peter Secher <jps@debian.org>  Mon, 11 Sep 2006 21:18:12 +0200

sml-mode (4.0-5) unstable; urgency=low

  * Update FSF address in copyright file.
  * Override build-depends-without-arch-dep Lintian warning.
  * Bump Standards-Version to 3.6.2.

 -- Jens Peter Secher <jps@debian.org>  Wed, 28 Sep 2005 10:09:16 +0200

sml-mode (4.0-4) unstable; urgency=low

  * Fixed end/beginning-of-buffer problem in
    sml-find-match-forward/backward function. (closes: bug#279348)
  * Make sure that Emacs Help can find the source code by including the
    location in load-path (instead of byte-code location, which is now
    set up in upstream sml-mode-startup).

 -- Jens Peter Secher <jps@debian.org>  Sun, 12 Jun 2005 01:23:52 +0200

sml-mode (4.0-3) experimental; urgency=low

  * Fixed the automatic pacthing of bug#286190.
  * Fixed the get-orig-source target in debian/rules.
  
 -- Jens Peter Secher <jps@debian.org>  Sat, 18 Dec 2004 16:46:10 +0100

sml-mode (4.0-2) experimental; urgency=low

  * Fix MULE dependent compile problem with XEmacs. (closes: bug#286190)

 -- Jens Peter Secher <jps@debian.org>  Sat, 18 Dec 2004 16:01:32 +0100

sml-mode (4.0-1) experimental; urgency=low

  * New upstream release. (closes: bug#284261)

 -- Jens Peter Secher <jps@debian.org>  Sun,  5 Dec 2004 19:08:57 +0100

sml-mode (3.9.5-11) unstable; urgency=low

  * deian/rules: some missing phony targets added.
  * Updated watch file.

 -- Jens Peter Secher <jps@debian.org>  Sun,  5 Dec 2004 19:04:00 +0100

sml-mode (3.9.5-10) unstable; urgency=low

  * Changed priority back to optional and Build-Depends-Indep to
    Build-Depends.
  * Converted to using dpatch.
  * Applied patch from Sebastian Schaffert to fix xemacs problem when
    sending the buffer contents to the interpreter. Part of bug#274266.
  * Included a watch file.
    
 -- Jens Peter Secher <jps@debian.org>  Sun, 10 Oct 2004 00:29:58 +0200

sml-mode (3.9.5-9) unstable; urgency=low

  * Bumped Standards-Version: 3.6.1.
  * Remove obsolete debconf questions.
  * The source only seems to be available from
    ftp://ftp.research.bell-labs.com/dist/smlnj/contrib/emacs/ now.
  * Corrected Maintainer field.

 -- Jens Peter Secher <jps@debian.org>  Mon, 15 Sep 2003 20:15:14 +0200

sml-mode (3.9.5-8) unstable; urgency=low

  * Autoload sml-mode top-level functions site-wide.

 -- Jens Peter Secher <jpsecher@diku.dk>  Sun,  1 Dec 2002 17:28:19 +0100

sml-mode (3.9.5-7) unstable; urgency=low

  * Added "emacs21 |emacsen" to Build-Depends-Indep and changed
    Depends-Indep accordingly.                       (closes: bug#142137)
  * Removed unnecessary debconf notes and questions.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed,  7 Aug 2002 23:03:24 +0200

sml-mode (3.9.5-6) unstable; urgency=low

  * Bumped Standards-Version: 3.5.6.
  * Change section: utils -> editors.
  * Inserted german translation of Debconf templates, thanks to
    Sebastian Feltel <sebastian@feltel.de> (although some characters are
    wrong).                                          (closes: bug#118041)

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 28 Dec 2001 10:39:15 +0100

sml-mode (3.9.5-5) unstable; urgency=high

  * Got a sponsor!                                   (closes: bug#112060)
  * Revert to running target install to get sml-mode-startup.el installed.
    Remove elc files afterwards.

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 26 Oct 2001 11:46:36 +0200

sml-mode (3.9.5-4) unstable; urgency=low

  * Don't include .elc files in package: Only run targets install_el
    and install_info

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 26 Oct 2001 01:52:38 +0200

sml-mode (3.9.5-3) unstable; urgency=low

  * postinst now always generates the /etc/emacs/site-start.d/50sml-mode.el
    file all by itself, and prerm always removes it.  It is thus not a
    config file anymore.

  * Cleaned up things.

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 25 Oct 2001 18:18:02 +0200

sml-mode (3.9.5-2) unstable; urgency=low

  * Changed "Build-Depends" to "Build-Depends-Indep" in control, as required
    by policy 7.6.

 -- Jens Peter Secher <jpsecher@diku.dk>  Tue, 25 Sep 2001 10:07:51 +0200

sml-mode (3.9.5-1) unstable; urgency=low

  * Initial Release.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed, 12 Sep 2001 15:43:19 +0200

=== debian/control ===
Source: sml-mode
Section: editors
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends-Indep: texinfo, emacs23 | emacsen
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://www.iro.umontreal.ca/~monnier/elisp
Vcs-Hg: http://hg.debian.org/hg/collab-maint/sml-mode

Package: sml-mode
Architecture: all
Depends: emacsen-common, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Enhances: sml-nj, mlton, mosml
Description: a major Emacs mode for editing Standard ML
 This Emacs mode provides syntax highlighting and automatic
 indentation for Standard ML and comes with sml-proc which allows
 interaction with an inferior SML interactive loop.  You will need
 this if you write Standard ML programs using Emacs.

## sml-mode 4.1

=== debian/changelog ===
sml-mode (4.1-2) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1, no change.
  * Compile to unstable, cleanup of patches.

 -- Jens Peter Secher <jps@debian.org>  Sat, 16 Apr 2011 17:20:44 +0200

sml-mode (4.1-1) experimental; urgency=low

  * New upstream version.
  * Removed all autogenerated files.

 -- Jens Peter Secher <jps@debian.org>  Sat, 11 Sep 2010 15:27:14 +0200

=== debian/control ===
Source: sml-mode
Section: editors
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends-Indep: texinfo, emacs23 | emacsen
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://www.iro.umontreal.ca/~monnier/elisp
Vcs-Hg: http://hg.debian.org/hg/collab-maint/sml-mode

Package: sml-mode
Architecture: all
Depends: emacsen-common, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Enhances: mlton, mosml
Description: Emacs major mode for editing Standard ML programs
 SML-mode provides syntax highlighting and automatic
 indentation for Standard ML and comes with sml-proc which allows
 interaction with an inferior SML interactive loop.  You will need
 this if you write Standard ML programs using Emacs.  For OCaml
 prgramming, see instead tuareg-mode.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=sml-mode

get-orig-source:
	wget http://www-perso.iro.umontreal.ca/~monnier/elisp/sml-mode-4.0.tar.gz

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	dh_clean

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
	rm -f $(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/sml-mode/*.elc

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installemacsen
	dh_installinfo
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## sml-mode 5.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile for emacs-lisp package
 
-# Copyright (C) 1998, 1999, 2004  Stefan Monnier <monnier@gnu.org>
+# Copyright (C) 1998, 1999, 2004, 2007, 2010  Stefan Monnier <monnier@gnu.org>
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 2, or (at your option) any
+# Free Software Foundation; either version 3, or (at your option) any
 # later version.
 
 # This file is distributed in the hope that it will be useful, but WITHOUT
@@ -110,8 +110,9 @@
 install_startup:
 	$(MKDIR) $(lispdir)
 	@if grep $(PACKAGE) $(lispdir)/site-start.el >/dev/null 2>&1 || \
-	   grep $(PACKAGE) $(startupfile) >/dev/null 2>&1 || \
-	   grep $(PACKAGE) $(lispdir)/default.el >/dev/null 2>&1; then \
+	    grep $(PACKAGE) $(startupfile) >/dev/null 2>&1 || \
+	    grep $(PACKAGE) $(lispdir)/default.el >/dev/null 2>&1; \
+	then \
 	    echo "**********************************************************" ;\
 	    echo "*** It seems you already have some setup code" ;\
 	    echo "*** for $(PACKAGE) in your startup files." ;\
@@ -146,23 +147,29 @@
 ######################################################################
 
 $(PACKAGE)-startup.el: $(ELFILES)
-	[ -f $@ ] || echo '
-' >$@
+	echo "\
+	;;; $@ --- automatically extracted autoloads\n\
+	;;; Code:\n\
+	(add-to-list 'load-path\n\
+	             (or (file-name-directory load-file-name) (car load-path)))\n\
+	
+" >$@
 	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."
 
 ##
 
-TAG = $(shell echo v$(VERSION) | tr '.' '_')
+#TAG = $(shell echo v$(VERSION) | tr '.' '_')
+URL=$(shell sed -n -e '5p' .svn/entries)
+TAG=$(shell dirname "$(URL)")/releases/$(PACKAGE)-$(VERSION)
 ftpdir=/u/monnier/html/elisp/
 cvsmodule=$(shell cat CVS/Repository)
 cvsroot=$(shell cat CVS/Root)
 
 dist:
-	cvs tag -F $(TAG) &&\
-	cd $(TMP) &&\
-	cvs -d $(cvsroot) export -r $(TAG) -d $(PACKAGE)-$(VERSION) $(cvsmodule) &&\
-	cd $(PACKAGE)-$(VERSION) &&\
-	gmake info $(PACKAGE)-startup.el &&\
+	svn cp . "$(TAG)" &&\
+	svn export "$(TAG)" "$(TMP)/$(PACKAGE)-$(VERSION)" &&\
+	cd "$(TMP)/$(PACKAGE)-$(VERSION)" &&\
+	$(MAKE) info $(PACKAGE)-startup.el &&\
 	cd .. &&\
 	ztar $(PACKAGE)-$(VERSION) &&\
 	rm -rf $(PACKAGE)-$(VERSION)

=== debian/changelog ===
sml-mode (5.0-1) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.
    + Refresh existing patches.
    + find_match_stop_at_end_or_beginning_of_buffer.diff - 
      Update to patch sml-oldindent.el instead of sml-move.el.
    + sml-compat.el removed and so are old defvars. (Closes: #681922, #710746).
  * Add texi_build_errors patch to fix texi errors. (Closes: #712352).
  * Bump emacs build-dep to emacs24 | emacsen.
  * Make VCS tag canonical.
  * Bump debhelper build-dep and compat to 9.
    + Update rules to simple dh style.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 17 Jul 2013 19:01:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: sml-mode
 Section: editors
 Priority: optional
-Maintainer: Jens Peter Secher <jps@debian.org>
-Build-Depends-Indep: texinfo, emacs23 | emacsen
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends-Indep: texinfo, emacs24 | emacsen
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://www.iro.umontreal.ca/~monnier/elisp
-Vcs-Hg: http://hg.debian.org/hg/collab-maint/sml-mode
+Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/sml-mode
 
 Package: sml-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/sml-mode/usr

override_dh_install:
	rm -f $(CURDIR)/debian/sml-mode/usr/share/emacs/site-lisp/sml-mode/*.elc
	dh_install

get-orig-source:
	wget http://www-perso.iro.umontreal.ca/~monnier/elisp/sml-mode-4.0.tar.gz

=== debian/watch ===
version=2
http://www-perso.iro.umontreal.ca/~monnier/elisp/sml-mode-(.*)\.tar\.gz debian uupdate

## sml-mode 6.7

=== debian/changelog ===
sml-mode (6.7-3) unstable; urgency=medium

  * use dh --with elpa

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Dec 2015 15:58:45 +0000

sml-mode (6.7-2) unstable; urgency=medium

  * rebuild with newer dh-elpa, this should (closes: #802154)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Oct 2015 10:40:52 +0100

sml-mode (6.7-1) unstable; urgency=medium

  * new maintainer adopting this poor orphaned package!
  * newer upstream release
    - ancient inferior sml issues seem fixed (closes: #274266)
    - take upstream from git repo instead of tarball
    - work around xemacs21 three-arg requires issue by applying and
      forward-porting patch from bug report (closes: #732996)
    - file-expand-wildcards no longer used (closes: 663406)
    - expand-region-el can stop disabling sml-mode support
  * dh_elpa-fy
  * patch to address safe local variable annoyance (closes: 717440)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Sep 2015 09:03:27 +0100

=== debian/control ===
Source: sml-mode
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), texinfo
Standards-Version: 3.9.6
Homepage: https://elpa.gnu.org/packages/sml-mode.html
Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/sml-mode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-emacsen/pkg/sml-mode.git

Package: elpa-sml-mode
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Breaks: sml-mode (<< 6.7)
Enhances: mlton, mosml, smljn, emacs
Description: Emacs major mode for editing Standard ML programs
 SML-mode provides syntax highlighting and automatic
 indentation for Standard ML and comes with sml-proc which allows
 interaction with an inferior SML interactive loop.  You will need
 this if you write Standard ML programs using Emacs.  For OCaml
 prgramming, see instead tuareg-mode.

Package: sml-mode
Architecture: all
Depends: ${misc:Depends}, elpa-sml-mode
Description: Transition package, sml-mode to elpa-sml-mode
 Sml-mode has been elpafied.  Ease Transition from sml-mode to
 elpa-sml-mode with this dummy package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa --parallel

sml-mode.info: sml-mode.texi
	texi2any $<

override_dh_installinfo: sml-mode.info
	dh_installinfo

## sml-mode 6.8

=== debian/changelog ===
sml-mode (6.8-1) unstable; urgency=medium

  * new upstream version
  * update homepage in debian/control
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Dec 2017 15:31:13 +0000

sml-mode (6.7-4) unstable; urgency=medium

  * dh10
  * bump policy
  * follow dh-elpa docs
  * secure repo URL
  * merge minor upstream mods
  * forward port patches (upstream changes to nearby context)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Sep 2017 10:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17), texinfo
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17), texinfo
+Standards-Version: 4.1.2
 Homepage: https://elpa.gnu.org/packages/sml-mode.html
-Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/sml-mode.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-emacsen/pkg/sml-mode.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/sml-mode.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-emacsen/pkg/sml-mode.git
 
 Package: elpa-sml-mode
 Architecture: all
-Depends: ${misc:Depends}, emacsen-common
+Depends: ${misc:Depends}, ${elpa:Depends}
+Built-Using: ${misc:Built-Using}
 Breaks: sml-mode (<< 6.7)
 Enhances: mlton, mosml, smljn, emacs
 Description: Emacs major mode for editing Standard ML programs

## sml-mode 6.9

=== debian/changelog ===
sml-mode (6.9-1) unstable; urgency=medium

  * new upstream version
  * bump standards version
  * swizzle packaging repo to salsa
  * dh11

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Oct 2018 13:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17), texinfo
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11), dh-elpa (>= 0.0.17), texinfo
+Standards-Version: 4.2.1
 Homepage: https://elpa.gnu.org/packages/sml-mode.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/sml-mode.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-emacsen/pkg/sml-mode.git
+Vcs-Git: https://salsa.debian.org/emacsen-team/sml-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/sml-mode
 
 Package: elpa-sml-mode
 Architecture: all

## sml-mode 6.10

=== debian/changelog ===
sml-mode (6.10-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:16:47 +0900

sml-mode (6.10-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Barak A. Pearlmutter ]
  * New upstream version
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary ${misc:Built-Using} for elpa-sml-mode
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 17 Feb 2020 23:14:26 +0000

sml-mode (6.9-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Fri, 30 Aug 2019 08:31:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sml-mode
 Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11), dh-elpa (>= 0.0.17), texinfo
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), dh-elpa (>= 0.0.17), texinfo
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://elpa.gnu.org/packages/sml-mode.html
 Vcs-Git: https://salsa.debian.org/emacsen-team/sml-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/sml-mode
@@ -12,7 +13,6 @@
 Package: elpa-sml-mode
 Architecture: all
 Depends: ${misc:Depends}, ${elpa:Depends}
-Built-Using: ${misc:Built-Using}
 Breaks: sml-mode (<< 6.7)
 Enhances: mlton, mosml, smljn, emacs
 Description: Emacs major mode for editing Standard ML programs

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

sml-mode.info: sml-mode.texi
	texi2any $<

override_dh_installinfo: sml-mode.info
	dh_installinfo

## sml-mode 6.12

=== debian/changelog ===
sml-mode (6.12-1) unstable; urgency=medium

  * Update debian/watch uscan support file.
  * Add discussion of upstream access to README.source
  * Bump policy
  * New upstream version
  * Update quilt patch magic hashes (no content or context changes)
  * Update FSF address in debian/copyright
  * Quilt patch to fix broken info direntry
  * Conditionalize info build <!nodoc>
  * Quilt patch to squelch texi warning

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 May 2025 13:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-elpa (>= 0.0.17), texinfo
+Build-Depends: debhelper-compat (= 13), dh-elpa (>= 0.0.17), texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://elpa.gnu.org/packages/sml-mode.html
 Vcs-Git: https://salsa.debian.org/emacsen-team/sml-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/sml-mode

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

sml-mode.info: sml-mode.texi
	texi2any $<

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
execute_before_dh_installinfo: sml-mode.info
endif

=== debian/watch ===
version=4
https://elpa.gnu.org/packages/sml-mode.html .*/@PACKAGE@-@ANY_VERSION@(?:@ARCHIVE_EXT@|\.(?:tar|el)(?:|\.lz))
